make_evaluable(_+_, $SUM(_,_)).
make_evaluable(_-_, $DIFF(_,_)).
make_evaluable(_<=_, $LE(_,_)).
make_evaluable(_>_, $GT(_,_)).

set(auto).
list(usable).
%-((x+y) <= 5) | -$EQ(x+y,xy) | 
delta(st(x,y),st(0,z)) | z != z.
%end_of_list.

%-($EQ(2+3,5)).
%-(2+3 <= 5) | - $EQ(5,5).
-(delta(st(2,3),st(0,5))).
%-(exists X delta(st(3,2),st(0,5))).
end_of_list.

list(sos).
%-$EQ($SUM(3,2),5).
%-delta(st(3,4),st(X,5)).% | $ANS(X).
end_of_list.
